## sdlip.http
Class HTTPConnection

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--sdlip.http.HTTPConnection

All Implemented Interfaces:
  java.lang.Runnable

public class HTTPConnection
extends java.lang.Thread

A new Connection object is created for each new connection established between the server and a client.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`java.io.InputStream` `getInputStream()`
`java.io.OutputStream` `getOutputStream()`
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

### getOutputStream

    public java.io.OutputStream getOutputStream()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`